Package de.willuhn.jameica.hbci

# Class SynchronizeOptions

java.lang.Object
de.willuhn.jameica.hbci.SynchronizeOptions

All Implemented Interfaces:
  `Serializable`

public class SynchronizeOptions extends Object implements Serializable
Container fuer die Synchronisierungsoptionen eines Kontos.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SynchronizeOptions(Konto k)`
ct.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getAutoSaldo()`
Aktiviert/deaktiviert die automatische Saldenberechnung fuer Offlinekonten.
`boolean`
`getSyncAuslandsUeberweisungen()`
Prueft, ob offene und ueberfaellige Auslandsueberweisungen eingereicht werden sollen.
`boolean`
`getSynchronize()`
Prueft, ob irgendeine Synchronisierungsoption fuer das Konto aktiviert ist.
`static List<Konto>`
`getSynchronizeKonten()`
Liefert die Liste der zu synchronisierenden Konten.
`boolean`
`getSyncKontoauszuege()`
Prueft, ob die Kontoauszuege abgerufen werden sollen.
`boolean`
`getSyncKontoauszuegePdf()`
Prueft, ob die PDF-Kontoauszuege abgerufen werden sollen.
`boolean`
`getSyncMessages()`
Prueft, ob die Banknachrichten fuer das Konto abgerufen werden sollen.
`boolean`
`getSyncOffline()`
Prueft, ob in dem Konto automatisch passende Gegenbuchungen angelegt werden sollen, wenn es ein Offline-Konto ist.
`boolean`
`getSyncSaldo()`
BUGZILLA 346 Prueft, ob die Kontoauszuege abgerufen werden sollen.
`boolean`
`getSyncSepaDauerauftraege()`
Prueft, ob die SEPA-Dauerauftraege synchronisiert werden sollen.
`boolean`
`getSyncSepaLastschriften()`
Prueft, ob offene und ueberfaellige SEPA-Lastschriften eingereicht werden sollen.
`void`
`setAll(boolean status)`
Aendert den Synchronisierungsstatus aller Auftragstypen.
`void`
`setAutoSaldo(boolean b)`
Aktiviert/deaktiviert die automatische Saldenberechnung fuer Offlinekonten.
`void`
`setSyncAuslandsUeberweisungen(boolean b)`
Legt fest, ob offene und ueberfaellige Auslandsueberweisungen eingereicht werden sollen.
`void`
`setSyncKontoauszuege(boolean b)`
Legt fest, ob die Kontoauszuege abgerufen werden sollen.
`void`
`setSyncKontoauszuegePdf(boolean b)`
Legt fest, ob die PDF-Kontoauszuege abgerufen werden sollen.
`void`
`setSyncMessages(boolean b)`
Legt fest, ob die Banknachrichten abgerufen werden sollen.
`void`
`setSyncOffline(boolean b)`
Legt fest, ob in dem Konto automatisch passende Gegenbuchungen angelegt werden sollen, wenn es ein Offline-Konto ist.
`void`
`setSyncSaldo(boolean b)`
Legt fest, ob die Salden abgerufen werden sollen.
`void`
`setSyncSepaDauerauftraege(boolean b)`
Legt fest, ob die SEPA-Dauerauftraege synchronisiert werden sollen.
`void`
`setSyncSepaLastschriften(boolean b)`
Legt fest, ob offene und ueberfaellige SEPA-Lastschriften eingereicht werden sollen.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SynchronizeOptions

public SynchronizeOptions(Konto k) throws RemoteException
ct.

Parameters:
  `k` - das Konto.
Throws:
  `RemoteException`

## Method Details

### getSynchronizeKonten

public static List<Konto> getSynchronizeKonten()
Liefert die Liste der zu synchronisierenden Konten.

Returns:
  Liste der zu synchronisierenden Konten.

### getSynchronize

public boolean getSynchronize()
Prueft, ob irgendeine Synchronisierungsoption fuer das Konto aktiviert ist.

Returns:
  true, wenn irgendeine Option aktiv ist.

### setAll

public void setAll(boolean status)
Aendert den Synchronisierungsstatus aller Auftragstypen.

Parameters:
  `status` - neuer Status.

### getSyncSaldo

public boolean getSyncSaldo()
BUGZILLA 346 Prueft, ob die Kontoauszuege abgerufen werden sollen.

Returns:
  true, wenn sie synchronisiert werden sollen.

### getSyncMessages

public boolean getSyncMessages()
Prueft, ob die Banknachrichten fuer das Konto abgerufen werden sollen.

Returns:
  true, wenn die Banknachrichten fuer das Konto abgerufen werden sollen.

### getSyncKontoauszuege

public boolean getSyncKontoauszuege()
Prueft, ob die Kontoauszuege abgerufen werden sollen.

Returns:
  true, wenn sie synchronisiert werden sollen.

### getSyncKontoauszuegePdf

public boolean getSyncKontoauszuegePdf()
Prueft, ob die PDF-Kontoauszuege abgerufen werden sollen.

Returns:
  true, wenn sie synchronisiert werden sollen.

### getSyncSepaDauerauftraege

public boolean getSyncSepaDauerauftraege()
Prueft, ob die SEPA-Dauerauftraege synchronisiert werden sollen.

Returns:
  true, wenn sie synchronisiert werden sollen.

### getSyncAuslandsUeberweisungen

public boolean getSyncAuslandsUeberweisungen()
Prueft, ob offene und ueberfaellige Auslandsueberweisungen eingereicht werden sollen.

Returns:
  true, wenn sie synchronisiert werden sollen.

### getSyncSepaLastschriften

public boolean getSyncSepaLastschriften()
Prueft, ob offene und ueberfaellige SEPA-Lastschriften eingereicht werden sollen.

Returns:
  true, wenn sie synchronisiert werden sollen.

### getSyncOffline

public boolean getSyncOffline()
Prueft, ob in dem Konto automatisch passende Gegenbuchungen angelegt werden sollen, wenn es ein Offline-Konto ist.

Returns:
  true, wenn automatische Offline-Synchronisierung stattfinden soll.

### getAutoSaldo

public boolean getAutoSaldo()
Aktiviert/deaktiviert die automatische Saldenberechnung fuer Offlinekonten. Wenn dieses Setting fals liefert, wird unter keinen Umstaenden der Saldo automatisch berechnet.

Returns:
  true, wenn der Saldo des Offline-Kontos automatisch berechnet werden soll, wenn kein Scripting-Backend vorhanden ist.

### setAutoSaldo

public void setAutoSaldo(boolean b)
Aktiviert/deaktiviert die automatische Saldenberechnung fuer Offlinekonten. Wenn dieses Setting fals liefert, wird unter keinen Umstaenden der Saldo automatisch berechnet.

Parameters:
  `b` - true, wenn der Saldo des Offline-Kontos automatisch berechnet werden soll, wenn kein Scripting-Backend vorhanden ist.

### setSyncMessages

public void setSyncMessages(boolean b)
Legt fest, ob die Banknachrichten abgerufen werden sollen.

Parameters:
  `b` - true, wenn die Banknachrichten abgerufen werden sollen.

### setSyncKontoauszuege

public void setSyncKontoauszuege(boolean b)
Legt fest, ob die Kontoauszuege abgerufen werden sollen.

Parameters:
  `b` - true, wenn sie synchronisiert werden sollen.

### setSyncKontoauszuegePdf

public void setSyncKontoauszuegePdf(boolean b)
Legt fest, ob die PDF-Kontoauszuege abgerufen werden sollen.

Parameters:
  `b` - true, wenn sie synchronisiert werden sollen.

### setSyncSaldo

public void setSyncSaldo(boolean b)
Legt fest, ob die Salden abgerufen werden sollen.

Parameters:
  `b` - true, wenn sie synchronisiert werden sollen.

### setSyncSepaDauerauftraege

public void setSyncSepaDauerauftraege(boolean b)
Legt fest, ob die SEPA-Dauerauftraege synchronisiert werden sollen.

Parameters:
  `b` - true, wenn sie synchronisiert werden sollen.

### setSyncAuslandsUeberweisungen

public void setSyncAuslandsUeberweisungen(boolean b)
Legt fest, ob offene und ueberfaellige Auslandsueberweisungen eingereicht werden sollen.

Parameters:
  `b` - true, wenn sie synchronisiert werden sollen.

### setSyncSepaLastschriften

public void setSyncSepaLastschriften(boolean b)
Legt fest, ob offene und ueberfaellige SEPA-Lastschriften eingereicht werden sollen.

Parameters:
  `b` - true, wenn sie synchronisiert werden sollen.

### setSyncOffline

public void setSyncOffline(boolean b)
Legt fest, ob in dem Konto automatisch passende Gegenbuchungen angelegt werden sollen, wenn es ein Offline-Konto ist.

Parameters:
  `b` - true, wenn automatische Offline-Synchronisierung stattfinden soll.